<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 * http://www.shopmodule.com
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @link          http://www.oxidmodule.com
 */

/**
 * Metadata version
 */
$sMetadataVersion = '1.1';

/**
 * Module information
 */
$aModule = array(
    'id'          => 'd3_multivariants',
    'title'       => (class_exists('d3utils') ? d3utils::getInstance()->getD3Logo() : 'D&sup3;') //
        . ' mehrdimensionale Varianten / multi variants',
    'description' => array(
        'de' => 'Erstellen Sie mit diesem Modul Variantenstrukturen, die bis zu vier Ebenen beinhalten k&ouml;nnen.',
        'en' => '',
    ),
    'thumbnail'   => 'picture.png',
    'version'     => '3.0.3.0',
    'author'      => 'D&sup3; Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'http://www.oxidmodule.com/',
    'extend'      => array(
        'article_variant' => 'd3/d3_multivariants/modules/controllers/admin/d3_article_variant_mv',
    ),
    'files'       => array(
        'd3_multivariants_update'                     => 'd3/d3_multivariants/setup/d3_multivariants_update.php',
        'd3_multivariants_application_models_handler' => 'd3/d3_multivariants/application/models/handler.php',
        'd3_cfg_multivariants'                        => 'd3/d3_multivariants/application/controllers/admin/d3_cfg_multivariants.php',
        'd3_cfg_multivariants_licence'                => 'd3/d3_multivariants/application/controllers/admin/d3_cfg_multivariants_licence.php',
        'd3_cfg_multivariants_list'                   => 'd3/d3_multivariants/application/controllers/admin/d3_cfg_multivariants_list.php',
        'd3_cfg_multivariants_main'                   => 'd3/d3_multivariants/application/controllers/admin/d3_cfg_multivariants_main.php',
    ),
    'templates'   => array(
        'd3_cfg_multivariants_main.tpl' => 'd3/d3_multivariants/views/admin/tpl/d3_cfg_multivariants_main.tpl',
    ),
    'events'      => array(
        'onActivate' => 'd3install::checkUpdateStart',
    ),
    'blocks'      => array(
        array(
            'template' => 'article_variant.tpl',
            'block'    => 'd3_admin_article_variant_disabled_part1',
            'file'     => 'views/admin/blocks/d3_article_variant_disabled.tpl'
        ),
        array(
            'template' => 'article_variant.tpl',
            'block'    => 'd3_admin_article_variant_disabled_part2',
            'file'     => 'views/admin/blocks/d3_article_variant_disabled.tpl'
        ),
        array(
            'template' => 'article_variant.tpl',
            'block'    => 'd3_article_variant_multivariants_deletebutton',
            'file'     => 'views/admin/blocks/d3_article_variant_multivariants_deletebutton.tpl'
        ),
        array(
            'template' => 'article_variant.tpl',
            'block'    => 'd3_article_variant_multivariants_variantcombination',
            'file'     => 'views/admin/blocks/d3_article_variant_multivariants_variantcombination.tpl'
        ),
        // CSS and Javascript
        array(
            'template' => 'headitem.tpl',
            'block'    => 'admin_headitem_inccss',
            'file'     => 'views/admin/blocks/d3_headitem_multivariants_style.tpl'
        ),
        array(
            'template' => 'headitem.tpl',
            'block'    => 'admin_headitem_incjs',
            'file'     => 'views/admin/blocks/d3_headitem_multivariants_js.tpl'
        ),
    ),

    'd3FileRegister'    => array(
        'd3/d3_multivariants/metadata.php',
        'd3/d3_multivariants/IntelliSenseHelper.php',
        'd3/d3_multivariants/menu.xml',
        'd3/d3_multivariants/picture.png',
        'd3/d3_multivariants/setup/d3multiVariants_whitespaceQuerys.php',
        'd3/d3_multivariants/views/admin/de/d3_multivariants_lang.php',
        'd3/d3_multivariants/views/admin/en/d3_multivariants_lang.php',
        'd3/d3_multivariants/out/admin/src/js/d3_cfg_multivariants.css',
        'd3/d3_multivariants/application/views/admin/de/d3_multivariants_lang.php',
        'd3/d3_multivariants/application/views/admin/en/d3_multivariants_lang.php',
        'd3/d3_multivariants/views/admin/blocks/d3_article_variant_disabled.tpl',
        'd3/d3_multivariants/views/admin/blocks/d3_article_variant_multivariants_deletebutton.tpl',
        'd3/d3_multivariants/views/admin/blocks/d3_article_variant_multivariants_variantcombination.tpl,',
        'd3/d3_multivariants/views/admin/blocks/d3_headitem_multivariants_js.tpl',
        'd3/d3_multivariants/views/admin/blocks/d3_article_variant_multivariants_variantcombination.tpl',
        'd3/d3_multivariants/views/admin/blocks/d3_headitem_multivariants_style.tpl',
    ),
);
